.editor {
    @apply bg-neutral-500 flex flex-col flex-1 overflow-hidden rounded shadow-none outline-none max-h-full rounded transition-all transition-fast text-neutral-100;
}

.menubar {
    @apply flex flex-row overflow-hidden flex-shrink-0 border-t border-b border-neutral-400;
}

.menubar__button {
    @apply inline-flex px-2 py-4 items-center justify-center;
}

.ProseMirror{
    @apply shadow-none outline-none p-4;

    h1 h2 h3 {
        @apply flex text-white text-lg mt-6 items-center font-display-1;
    }

    h1{
        @apply flex text-white text-lg mt-6 items-center;

        &:after {
            content: " ";
            height: 1px;
            opacity: .4;

            @apply flex-auto bg-neutral-050 ml-3;
        }
    }

    p {
        @apply my-4;
    }

    ul {
        li {
            @apply relative list-none mb-2;

            &:before {
                content: "";
                top: 60%;
                left: -15px;
                width: 6px;
                height: 6px;
                margin-top: -4px;
                margin-left: -3px;
                border-radius: 50%;


                @apply absolute opacity-25 rounded-full bg-neutral-400;
            }
        }
    }
}

.ProseMirror[contenteditable="true"] {
    min-height: 10rem;

    @apply cursor-pointer;
}

.ProseMirror[contenteditable="true"].ProseMirror-focused{
    @apply cursor-default;
    height: 100%;
}
